org.apache.poi.ss.usermodel

## Interface BorderFormatting

- All Known Implementing Classes:
    HSSFBorderFormatting, XSSFBorderFormatting

      public interface BorderFormatting

  High level representation for Border Formatting component of Conditional Formatting settings

- - ### Method Summary

    All Methods Instance Methods Abstract Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `BorderStyle` | `getBorderBottom()`
    `BorderStyle` | `getBorderBottomEnum()` Deprecated. use `getBorderBottom` instead
    `BorderStyle` | `getBorderDiagonal()`
    `BorderStyle` | `getBorderDiagonalEnum()` Deprecated. use `getBorderDiagonal` instead
    `BorderStyle` | `getBorderHorizontal()` Only valid for range borders, such as table styles
    `BorderStyle` | `getBorderHorizontalEnum()` Deprecated. use `getBorderHorizontal` instead
    `BorderStyle` | `getBorderLeft()`
    `BorderStyle` | `getBorderLeftEnum()` Deprecated. use `getBorderLeft` instead
    `BorderStyle` | `getBorderRight()`
    `BorderStyle` | `getBorderRightEnum()` Deprecated. use `getBorderRight` instead
    `BorderStyle` | `getBorderTop()`
    `BorderStyle` | `getBorderTopEnum()` Deprecated. use `getBorderTop` instead
    `BorderStyle` | `getBorderVertical()` Only valid for range borders, such as table styles
    `BorderStyle` | `getBorderVerticalEnum()` Deprecated. use `getBorderVertical` instead
    `short` | `getBottomBorderColor()`
    `Color` | `getBottomBorderColorColor()`
    `short` | `getDiagonalBorderColor()`
    `Color` | `getDiagonalBorderColorColor()`
    `short` | `getHorizontalBorderColor()` Range internal borders.
    `Color` | `getHorizontalBorderColorColor()` Range internal borders.
    `short` | `getLeftBorderColor()`
    `Color` | `getLeftBorderColorColor()`
    `short` | `getRightBorderColor()`
    `Color` | `getRightBorderColorColor()`
    `short` | `getTopBorderColor()`
    `Color` | `getTopBorderColorColor()`
    `short` | `getVerticalBorderColor()` Range internal borders.
    `Color` | `getVerticalBorderColorColor()` Range internal borders.
    `void` | `setBorderBottom(BorderStyle border)` Set bottom border.
    `void` | `setBorderDiagonal(BorderStyle border)` Set diagonal border.
    `void` | `setBorderHorizontal(BorderStyle border)` Set range internal horizontal borders.
    `void` | `setBorderLeft(BorderStyle border)` Set left border.
    `void` | `setBorderRight(BorderStyle border)` Set right border.
    `void` | `setBorderTop(BorderStyle border)` Set top border.
    `void` | `setBorderVertical(BorderStyle border)` Set range internal vertical borders.
    `void` | `setBottomBorderColor(Color color)`
    `void` | `setBottomBorderColor(short color)`
    `void` | `setDiagonalBorderColor(Color color)`
    `void` | `setDiagonalBorderColor(short color)`
    `void` | `setHorizontalBorderColor(Color color)` Range internal border color, such as table styles
    `void` | `setHorizontalBorderColor(short color)` Range internal border color, such as table styles
    `void` | `setLeftBorderColor(Color color)`
    `void` | `setLeftBorderColor(short color)`
    `void` | `setRightBorderColor(Color color)`
    `void` | `setRightBorderColor(short color)`
    `void` | `setTopBorderColor(Color color)`
    `void` | `setTopBorderColor(short color)`
    `void` | `setVerticalBorderColor(Color color)` Range internal border color, such as table styles
    `void` | `setVerticalBorderColor(short color)` Range internal border color, such as table styles

- - ### Method Detail

    - #### getBorderBottom

          BorderStyle getBorderBottom()

      Since:
        POI 4.0.0

    - #### getBorderDiagonal

          BorderStyle getBorderDiagonal()

      Since:
        POI 4.0.0

    - #### getBorderLeft

          BorderStyle getBorderLeft()

      Since:
        POI 4.0.0

    - #### getBorderRight

          BorderStyle getBorderRight()

      Since:
        POI 4.0.0

    - #### getBorderTop

          BorderStyle getBorderTop()

      Since:
        POI 4.0.0

    - #### getBorderVertical

          BorderStyle getBorderVertical()

      Only valid for range borders, such as table styles
      Returns:
        border style
      Since:
        4.0.0

    - #### getBorderHorizontal

          BorderStyle getBorderHorizontal()

      Only valid for range borders, such as table styles
      Returns:
        border style
      Since:
        4.0.0

    - #### getBorderBottomEnum

          @Removal(version="4.2")
           @Deprecated
          BorderStyle getBorderBottomEnum()

      Deprecated. use `getBorderBottom` instead
      Since:
        POI 3.15

    - #### getBorderDiagonalEnum

          @Removal(version="4.2")
           @Deprecated
          BorderStyle getBorderDiagonalEnum()

      Deprecated. use `getBorderDiagonal` instead
      Since:
        POI 3.15

    - #### getBorderLeftEnum

          @Removal(version="4.2")
           @Deprecated
          BorderStyle getBorderLeftEnum()

      Deprecated. use `getBorderLeft` instead
      Since:
        POI 3.15

    - #### getBorderRightEnum

          @Removal(version="4.2")
           @Deprecated
          BorderStyle getBorderRightEnum()

      Deprecated. use `getBorderRight` instead
      Since:
        POI 3.15

    - #### getBorderTopEnum

          @Removal(version="4.2")
           @Deprecated
          BorderStyle getBorderTopEnum()

      Deprecated. use `getBorderTop` instead
      Since:
        POI 3.15

    - #### getBorderVerticalEnum

          @Removal(version="4.2")
           @Deprecated
          BorderStyle getBorderVerticalEnum()

      Deprecated. use `getBorderVertical` instead
      Only valid for range borders, such as table styles
      Returns:
        border style
      Since:
        3.17 beta 1

    - #### getBorderHorizontalEnum

          @Removal(version="4.2")
           @Deprecated
          BorderStyle getBorderHorizontalEnum()

      Deprecated. use `getBorderHorizontal` instead
      Only valid for range borders, such as table styles
      Returns:
        border style
      Since:
        3.17 beta 1

    - #### getBottomBorderColor

          short getBottomBorderColor()

    - #### getBottomBorderColorColor

          Color getBottomBorderColorColor()

    - #### getDiagonalBorderColor

          short getDiagonalBorderColor()

    - #### getDiagonalBorderColorColor

          Color getDiagonalBorderColorColor()

    - #### getLeftBorderColor

          short getLeftBorderColor()

    - #### getLeftBorderColorColor

          Color getLeftBorderColorColor()

    - #### getRightBorderColor

          short getRightBorderColor()

    - #### getRightBorderColorColor

          Color getRightBorderColorColor()

    - #### getTopBorderColor

          short getTopBorderColor()

    - #### getTopBorderColorColor

          Color getTopBorderColorColor()

    - #### getVerticalBorderColor

          short getVerticalBorderColor()

      Range internal borders. Only relevant for range styles, such as table formatting
      Returns:
        color index
      Since:
        3.17 beta 1

    - #### getVerticalBorderColorColor

          Color getVerticalBorderColorColor()

      Range internal borders. Only relevant for range styles, such as table formatting
      Returns:
        color
      Since:
        3.17 beta 1

    - #### getHorizontalBorderColor

          short getHorizontalBorderColor()

      Range internal borders. Only relevant for range styles, such as table formatting
      Returns:
        color index
      Since:
        3.17 beta 1

    - #### getHorizontalBorderColorColor

          Color getHorizontalBorderColorColor()

      Range internal borders. Only relevant for range styles, such as table formatting
      Returns:
        color
      Since:
        3.17 beta 1

    - #### setBorderBottom

          void setBorderBottom(BorderStyle border)

      Set bottom border.
      Parameters:
        `border` - The style of border to set.

    - #### setBorderDiagonal

          void setBorderDiagonal(BorderStyle border)

      Set diagonal border.
      Parameters:
        `border` - The style of border to set.

    - #### setBorderLeft

          void setBorderLeft(BorderStyle border)

      Set left border.
      Parameters:
        `border` - The style of border to set.

    - #### setBorderRight

          void setBorderRight(BorderStyle border)

      Set right border.
      Parameters:
        `border` - The style of border to set.

    - #### setBorderTop

          void setBorderTop(BorderStyle border)

      Set top border.
      Parameters:
        `border` - The style of border to set.

    - #### setBorderHorizontal

          void setBorderHorizontal(BorderStyle border)

      Set range internal horizontal borders.
      Parameters:
        `border` - The style of border to set.
      Since:
        3.17 beta 1

    - #### setBorderVertical

          void setBorderVertical(BorderStyle border)

      Set range internal vertical borders.
      Parameters:
        `border` - The style of border to set.
      Since:
        3.17 beta 1

    - #### setBottomBorderColor

          void setBottomBorderColor(short color)

    - #### setBottomBorderColor

          void setBottomBorderColor(Color color)

    - #### setDiagonalBorderColor

          void setDiagonalBorderColor(short color)

    - #### setDiagonalBorderColor

          void setDiagonalBorderColor(Color color)

    - #### setLeftBorderColor

          void setLeftBorderColor(short color)

    - #### setLeftBorderColor

          void setLeftBorderColor(Color color)

    - #### setRightBorderColor

          void setRightBorderColor(short color)

    - #### setRightBorderColor

          void setRightBorderColor(Color color)

    - #### setTopBorderColor

          void setTopBorderColor(short color)

    - #### setTopBorderColor

          void setTopBorderColor(Color color)

    - #### setHorizontalBorderColor

          void setHorizontalBorderColor(short color)

      Range internal border color, such as table styles
      Parameters:
        `color` - index
      Since:
        3.17 beta 1

    - #### setHorizontalBorderColor

          void setHorizontalBorderColor(Color color)

      Range internal border color, such as table styles
      Parameters:
        `color` - index
      Since:
        3.17 beta 1

    - #### setVerticalBorderColor

          void setVerticalBorderColor(short color)

      Range internal border color, such as table styles
      Parameters:
        `color` - index
      Since:
        3.17 beta 1

    - #### setVerticalBorderColor

          void setVerticalBorderColor(Color color)

      Range internal border color, such as table styles
      Parameters:
        `color` - index
      Since:
        3.17 beta 1

Copyright 2020 The Apache Software Foundation or its licensors, as applicable.